# Uses of Interface
org.eclipse.emf.cdo.lm.LMFactory

Packages that use LMFactory
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.

## Uses of LMFactory in org.eclipse.emf.cdo.lm

Fields in org.eclipse.emf.cdo.lm declared as LMFactory
Modifier and Type
Field
Description
`static final LMFactory`
LMFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.lm that return LMFactory
Modifier and Type
Method
Description
`LMFactory`
LMPackage.`getLMFactory()`
Returns the factory that creates the instances of the model.

## Uses of LMFactory in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement LMFactory
Modifier and Type
Class
Description
`class`
`LMFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.lm.impl that return LMFactory
Modifier and Type
Method
Description
`LMFactory`
LMPackageImpl.`getLMFactory()`
`static LMFactory`
LMFactoryImpl.`init()`
Creates the default factory implementation.